__ZZIP_FETCH_DISK_TR(3)

NAME
__zzip_fetch_disk_trailer - internal.

SYNOPSIS

#include <zzip/lib.h>

int __zzip_fetch_disk_trailer((int fd, zzip_off_t filesize, struct _disk_trailer *_zzip_restrict trailer, zzip_plugin_io_t io));

DESCRIPTION

The __zzip_fetch_disk_trailer function is used by zzip_file_open. It tries to find the zip's central directory info that is usually a few bytes off the end of the file.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)